summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/ci-management/ci-management-jobs.yaml2
-rw-r--r--jjb/cicn/cicn.yaml6
-rw-r--r--jjb/csit/csit-perf.yaml18
-rw-r--r--jjb/hicn/hicn.yaml16
-rw-r--r--jjb/scripts/vpp/api-checkstyle.sh30
-rw-r--r--jjb/vpp/vpp.yaml9
6 files changed, 60 insertions, 21 deletions
diff --git a/jjb/ci-management/ci-management-jobs.yaml b/jjb/ci-management/ci-management-jobs.yaml
index 0d4d49312..e99855eb3 100644
--- a/jjb/ci-management/ci-management-jobs.yaml
+++ b/jjb/ci-management/ci-management-jobs.yaml
@@ -12,7 +12,7 @@
project: ci-management
project-name: ci-management
build-node: centos7-builder-4c-4g
- build-timeout: 30
+ build-timeout: 60
jjb-version: 2.6.0
- project:
diff --git a/jjb/cicn/cicn.yaml b/jjb/cicn/cicn.yaml
index 07a4ac3e6..c19a06aaa 100644
--- a/jjb/cicn/cicn.yaml
+++ b/jjb/cicn/cicn.yaml
@@ -91,7 +91,7 @@
- repo-name-parameter:
repo-name: '{repo-stream-part}.{repo-os-part}'
- stream-parameter:
- stream: 'release'
+ stream: 'hicn'
- string:
name: ARCHIVE_ARTIFACTS
default: '{archive-artifacts}'
@@ -371,7 +371,7 @@
- repo-name-parameter:
repo-name: '{repo-stream-part}.{repo-os-part}'
- stream-parameter:
- stream: 'release'
+ stream: 'hicn'
- string:
name: ARCHIVE_ARTIFACTS
default: '{archive-artifacts}'
@@ -501,7 +501,7 @@
- repo-name-parameter:
repo-name: '{repo-stream-part}.{repo-os-part}'
- stream-parameter:
- stream: 'release'
+ stream: 'hicn'
- string:
name: ARCHIVE_ARTIFACTS
default: '{archive-artifacts}'
diff --git a/jjb/csit/csit-perf.yaml b/jjb/csit/csit-perf.yaml
index 80dd788cb..6965ecd21 100644
--- a/jjb/csit/csit-perf.yaml
+++ b/jjb/csit/csit-perf.yaml
@@ -684,7 +684,10 @@
<b>csit-vpp-perf-report-iterative-{stream_report}-
{node-arch}</b>
<li>trigger: keyword in comment to csit patch:
- <b>csit-vpp-report-iter-{node-arch}-perftest</b>
+ <b>csit-vpp-report-iter-{node-arch}-perftest
+ test_set_id</b>
+ <li>trigger example:
+ csit-vpp-report-iter-{node-arch}-perftest vpp-00
</ul>
<li>executor
<ul>
@@ -693,8 +696,8 @@
<li>perf test-cases selection
<ul>
<li>test-cases selected by tags defined in
- <i>csit/docs/job_specs/report_iterative/
- vpp-{node-arch}.md</i>
+ <i>csit/docs/job_specs/report_iterative/{node-arch}/
+ test_set_id.md</i>
</ul>
<li>results
@@ -777,7 +780,10 @@
<b>csit-dpdk-perf-report-iterative-{stream_report}-
{node-arch}</b>
<li>trigger: keyword in comment to csit patch:
- <b>csit-dpdk-report-iter-{node-arch}-perftest</b>
+ <b>csit-dpdk-report-iter-{node-arch}-perftest
+ test_set_id</b>
+ <li>trigger example:
+ csit-dpdk-report-iter-{node-arch}-perftest dpdk-00
</ul>
<li>executor
<ul>
@@ -786,8 +792,8 @@
<li>perf test-cases selection
<ul>
<li>test-cases selected by tags defined in
- <i>csit/docs/job_specs/report_iterative/
- dpdk-{node-arch}.md</i>
+ <i>csit/docs/job_specs/report_iterative/{node-arch}/
+ test_set_id.md</i>
</ul>
<li>results
diff --git a/jjb/hicn/hicn.yaml b/jjb/hicn/hicn.yaml
index 055ee8608..4f6f18f9c 100644
--- a/jjb/hicn/hicn.yaml
+++ b/jjb/hicn/hicn.yaml
@@ -8,8 +8,6 @@
os:
- ubuntu1804:
repo-os-part: 'ubuntu.bionic.main'
- - ubuntu1604:
- repo-os-part: 'ubuntu.xenial.main'
- centos7:
repo-os-part: 'centos7'
@@ -34,8 +32,6 @@
os:
- ubuntu1804:
repo-os-part: 'ubuntu.bionic.main'
- - ubuntu1604:
- repo-os-part: 'ubuntu.xenial.main'
- centos7:
repo-os-part: 'centos7'
@@ -112,8 +108,6 @@
os:
- ubuntu1804:
repo-os-part: 'ubuntu.bionic.main'
- - ubuntu1604:
- repo-os-part: 'ubuntu.xenial.main'
- centos7:
repo-os-part: 'centos7'
@@ -175,7 +169,7 @@
- os-parameter:
os: '{os}'
- repo-name-parameter:
- repo-name: '{repo-stream-part}.ubuntu.xenial.main'
+ repo-name: '{repo-stream-part}.ubuntu.bionic.main'
- string:
name: ARCHIVE_ARTIFACTS
default: '{archive-artifacts}'
@@ -382,7 +376,7 @@
- maven-exec:
maven-version: 'mvn33-new'
- stream-parameter:
- stream: 'release'
+ stream: 'hicn'
- repo-name-parameter:
repo-name: '{repo-stream-part}.{repo-os-part}'
- string:
@@ -470,7 +464,7 @@
- maven-exec:
maven-version: 'mvn33-new'
- stream-parameter:
- stream: 'release'
+ stream: 'hicn'
- repo-name-parameter:
repo-name: '{repo-stream-part}.{repo-os-part}'
- string:
@@ -637,7 +631,7 @@
- maven-exec:
maven-version: 'mvn33-new'
- stream-parameter:
- stream: 'release'
+ stream: 'hicn'
- repo-name-parameter:
repo-name: '{repo-stream-part}.{repo-os-part}'
- string:
@@ -794,7 +788,7 @@
- maven-exec:
maven-version: 'mvn33-new'
- stream-parameter:
- stream: 'release'
+ stream: 'hicn'
- repo-name-parameter:
repo-name: '{repo-stream-part}.{repo-os-part}'
- string:
diff --git a/jjb/scripts/vpp/api-checkstyle.sh b/jjb/scripts/vpp/api-checkstyle.sh
new file mode 100644
index 000000000..90740337e
--- /dev/null
+++ b/jjb/scripts/vpp/api-checkstyle.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+VPP_CRC_CHECKER="extras/scripts/crcchecker.py"
+VPP_CRC_CHECKER_CMD="$VPP_CRC_CHECKER --check-patchset"
+
+send_notify() {
+ # 'roomId' field from the response of:
+ # curl https://api.ciscospark.com/v1/memberships -H "Authorization: Bearer ${SECRET_WEBEX_TEAMS_ACCESS_TOKEN}"
+ WEBEX_TEAMS_ROOM_ID='Y2lzY29zcGFyazovL3VzL1JPT00vMzUzZmI3OTAtYTVjNS0xMWVhLWI4ZjYtMDUxN2I4NzFmOWU5'
+ curl https://api.ciscospark.com/v1/messages -X POST -H "Authorization: Bearer ${SECRET_WEBEX_TEAMS_ACCESS_TOKEN}" -H "Content-Type: application/json" --data '{"roomId":"'${WEBEX_TEAMS_ROOM_ID}'", "markdown": "'"${WEBEX_TEAMS_MESSAGE}"'" }' || true
+}
+
+if [ -f $VPP_CRC_CHECKER ]; then
+ echo "Running $VPP_CRC_CHECKER_CMD"
+ if $VPP_CRC_CHECKER_CMD; then
+ echo "API check successful"
+
+ # for now - notify the same room during the monitoring period about the successes as well
+ WEBEX_TEAMS_MESSAGE="API check successful for $GERRIT_REFSPEC - see $BUILD_URL"
+ send_notify
+ else
+ RET_CODE=$?
+ echo "API check failed: ret code $RET_CODE; please read https://wiki.fd.io/view/VPP/ApiChangeProcess and discuss with ayourtch@gmail.com if unsure how to proceed"
+ WEBEX_TEAMS_MESSAGE="API check FAILED for $GERRIT_REFSPEC - see $BUILD_URL"
+ send_notify
+ exit $RET_CODE
+ fi
+else
+ echo "Cannot find $VPP_CRC_CHECKER - skipping API compatibility check"
+fi
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 216ec4003..dacd68500 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -531,6 +531,7 @@
os: '{os}'
- repo-name-parameter:
repo-name: '{repo-stream-part}.ubuntu.bionic.main'
+ - gerrit-refspec-parameter
scm:
- gerrit-trigger-scm:
@@ -541,6 +542,11 @@
wrappers:
- fdio-infra-wrappers:
build-timeout: '{build-timeout}'
+ - credentials-binding:
+ - text:
+ credential-id: VppApiCompatNotify
+ variable: SECRET_WEBEX_TEAMS_ACCESS_TOKEN
+
triggers:
- gerrit:
@@ -602,6 +608,9 @@
- ../scripts/vpp/test-checkstyle.sh
- shell:
!include-raw-escape:
+ - ../scripts/vpp/api-checkstyle.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/vpp/commitmsg.sh
publishers: